APT-MARK(8)

NAME
apt-mark - mark/unmark a package as being automatically-installed

SYNOPSIS

apt-mark [-hv] [-f=FILENAME] {markauto | unmarkauto} package... | showauto

DESCRIPTION

apt-mark will change whether a package has been marked as being automatically installed.

When you request that a package is installed, and as a result other packages are installed to satisfy its dependencies, the dependencies are marked as being automatically installed. Once these automatically installed packages are no longer depended on by any manually installed packages, they will be removed by e.g. apt-get or aptitude.

markauto
    markauto is used to mark a package as being automatically installed, which will cause the package to be removed when no more manually installed packages depend on this package.

unmarkauto
    unmarkauto is used to mark a package as being manually installed, which will prevent the package from being automatically removed if no other packages depend on it.

showauto
    showauto is used to print a list of automatically installed packages with each package on a new line.

OPTIONS

-f=FILENAME, --file=FILENAME
    Read/Write package stats from FILENAME instead of the default location, which is extended_status in the directory defined by the Configuration Item: Dir::State.

-h, --help
    Show a short usage summary.

-v, --version
    Show the program version.

FILES

/var/lib/apt/extended_states
    Status list of auto-installed packages. Configuration Item: Dir::State::extended_states.

SEE ALSO

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTICS

apt-mark returns zero on normal operation, non-zero on error.

BUGS

APT bug page[1]. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHORS

Mike O'Connor

APT team

NOTES

1.  APT bug page
    http://bugs.debian.org/src:apt